:root {
  --sanserif:"游ゴシック体","Yu Gothic",YuGothic,"ヒラギノ角ゴ Pro","Hiragino Kaku Gothic Pro","メイリオ",Meiryo,"MS Pゴシック","MS PGothic",sans-serif;
  --serif: "ヒラギノ明朝 Pro","Hiragino Mincho Pro","游明朝体", "Yu Mincho", YuMincho,  "MS P明朝", "MS PMincho", serif;
  --clr-wh:#fff;
  --clr-bl:#000;
  --clr-lightwh: #c8c8c8;
  --clr-softwh:#f7f7f7;
  --clr-cream: #efede7;
  --clr-fontbl:#333;
  --clr-blue: #1e7bcc;
  --clr-gold:#C3A425;
}


/* 共通リセット */
*,
*::before,
*::after { box-sizing: border-box; margin: 0; padding: 0;
 }
html,
body {
  width: 100%;
  overflow-x: hidden;
 margin: 0;
  padding: 0;
  font-family: var(--serif);
  line-height: 1.6;
  background: var(--clr-wh);
  letter-spacing: 0.05em;
  font-size:22px;

}
p li {
color: var(--clr-fontbl);
font-size: 20px;
}
ul {
  list-style: none;
  font-size: 20px;
}
a {
  text-decoration: none;
  color: var(--clr-fontbl);
  font-size: 20px;
}
a:active{
  color: var(--clr-blue);
}

/* font */
.yuji-syuku-regular {
  font-family: "Yuji Syuku", serif;
  font-weight: 400;
  font-style: normal;
}

#top{
width:100vw;
height: 100%;
background: url(img/topimagek.webp) center/cover no-repeat;
}
/* menu button */
.hamburger {
  position: fixed;
  right: 30px;
  width: 80px;
  height: 80px;
  border-radius: 50%;
  border: 10px solid var(--clr-blue); 
  background: rgba(255, 255, 255, 0.7);
  display: flex;
  align-items: center;
  justify-content: center;
  cursor: pointer;
  z-index: 1001;
  padding: 0;
  outline: none;
}

.hamburger-line {
  position: absolute;
  width: 36px;
  height: 5px;
  background: var(--clr-blue);
  border-radius: 999px;
  transition: transform 0.3s ease, opacity 0.3s ease;
}

.hamburger-line:nth-child(1) {
  transform:translateY(0) rotate(45deg);
}

.hamburger-line:nth-child(2) {
    opacity: 0;
}

.hamburger-line:nth-child(3) {
  transform:translateY(0) rotate(-45deg);
}

.hamburger.is-open .hamburger-line:nth-child(1) {
  transform: translateY(0) rotate(45deg);
}

.hamburger.is-open .hamburger-line:nth-child(2) {
  opacity: 0;
}

.hamburger.is-open .hamburger-line:nth-child(3) {
  transform: translateY(0) rotate(-45deg);
}

/* menu */
.nav-drawer {
  position: fixed;
  top: 0;
  right: 0;
  width: 350px;
  max-width: 80vw;
  height: 100vh;
  background:  var(--clr-cream);
  box-shadow: -4px 0 12px rgba(0, 0, 0, 0.2);
  transform: translateX(100%);
  transition: transform 0.3s ease;
  z-index: 1000;
  padding-top: 150px;
}

.nav-drawer ul {
  list-style: none;
  margin: 0;
  padding: 0 24px;
}
.nav-drawer li {
  margin:15px 0;
  padding-left:5px ;
  border-left: var(--clr-blue) 4px solid;
}
.nav-drawer li + li {
  margin-top: 20px;
}

.nav-drawer a {
  text-decoration: none;
}

/* open */
.nav-drawer.is-open {
  transform: translateX(0);
}

.nav-backdrop {
  position: fixed;
  inset: 0;
  background: rgba(0, 0, 0, 0.5);
  opacity: 0;
  pointer-events: none;
  transition: opacity 0.3s ease;
  z-index: 900;
}

.nav-backdrop.is-open {
  opacity: 1;
  pointer-events: auto;
}
/* top */
.header{
  position: fixed;
  display: flex;
  align-items: center;
  width: 100%;
  height: 90px;
  background-color: rgba(30, 123, 204, 0.8);
  z-index: 100;
}
.header h1{
  color: var(--clr-gold);
  line-height: 1;
  font-size: 70px;
  vertical-align: top;
  font-family: "Yuji Syuku", serif;
  padding-bottom: 7px;
    text-shadow: 1px 1px 0 var(--clr-cream), -1px 1px 0 var(--clr-cream), -1px -1px 0 var(--clr-cream), 1px -1px 0 var(--clr-cream);
}
.hero {
  position: relative;
  width: 100%;
  height: 100vh;
  z-index: 10;
}
.hero h2 {
  position: absolute;
  z-index: 1;
  bottom: 5%;
  left: 50%;
  transform: translate(-50%, -50%);
  font-family: "Yuji Syuku", serif;
  font-weight: 400;
  font-size: max(60px, 5vw);
  color: var(--clr-gold);
  line-height: 1.2;
  white-space: nowrap;
  padding: 0 0 0 4px;
  text-align: center;
  text-shadow:
    1px 1px 0 var(--clr-cream),
    -1px 1px 0 var(--clr-cream),
    -1px -1px 0 var(--clr-cream),
    1px -1px 0 var(--clr-cream);
  width: fit-content;
}

.logo{
  display: flex;
  align-items: center;
  gap:15px;
  padding-left:10px ;
  height: 80px;
}
.logo img {
  width: 80px;
  height: auto;
}

#about{
  padding-top:300px;
    background-color: var(--clr-wh);
}
/* 五心 */
.motto {
  position: relative;
  padding:240px 0;
}
.motto-center {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
}
 
.motto-center img {
  display: block;
}

/* 事業 */
#work{
  padding-top:200px;
}
.article-list {
  width: 100%;
  max-width: 1200px;
  margin: 0 auto;
}
.article-item {
  position:relative;
  display: flex;
  gap: 50px;
  margin-bottom: 120px;
}

.article-img {
  width: 380px;
  height: auto;
  flex-shrink: 0;
  border-radius: 10px;
  box-shadow: 0px 8px 8px -6px rgba(0, 0, 0, 0.5);
}
.article-body {
  flex: 1;
}
.article-title {
  width: fit-content;
  font-size: 30px;
  margin-bottom: 20px;
  color:var(--clr-wh);
  background-color: var(--clr-blue);
  padding: 0 10px;
}
.article-text{
  padding-top:20px;
}
/* ボタン */
.article-link-btn {
  position: absolute;
  right: 0px;
  bottom: 0px;
  width: 50px;
  height: 50px;
  border-radius: 50%;
  display: flex;
  align-items: center;
  justify-content: center;
  background: var(--clr-blue);
  color: var(--clr-wh);
  text-decoration: none;
  font-size: 24px;
  font-weight: 700;
  transition: transform .25s ease, background .25s ease;
}
.article-link-btn::before {
  content: "";
  width: 0;
  height: 0;
  border-top: 8px solid transparent;
  border-bottom: 8px solid transparent;
  border-left: 14px solid var(--clr-wh);

  transform: translateX(2px);
}

.article-link-btn:hover {
   background: var(--clr-blue);
  transform: scale(1.08);
}
/* 代表写真 */
.about-image {
  margin:0 auto;
  width: 30%;
  max-width: 400px;
}
.about-image img {
  width: 100%;
  height: auto;
  object-fit: cover;
}

.about-president {
  font-size: 24px;
  text-align: center;
}
/* 企業概要 */
 .table {
   width: max(400px, 60%);
   margin: 0 auto;
   padding: 100px 0 200px 0;
 }
 .table div {
   padding-bottom: 5px;
 }
 .table tr {
  position: relative;
 }
 .table tr::before {
   content: "";
   position: absolute;
   top: 0;
   left: 150px;
   right: 0;
   height: 3px;
   background: var(--clr-blue);
 }
.table th,
.table td {
  position: relative;
  padding-bottom: 30px;
}
 .table th {
  text-align-last: justify;
  vertical-align: top;
 }

 .table td {
   width: 100%;
   text-align: left;
   padding-left:60px;
 }
.th-label {
  display: inline-block;
  width: 190px;
  background: var(--clr-blue);
  color: var(--clr-wh);
  padding: 0 10px;
  font-weight: 700;
}
 .itiran span {
   display: block;
   line-height: 1.8em;
 }
/* 取り組み */
#sustainability {
  position: relative;
  background-color: var(--clr-wh);
}

.hero-section {
  position: relative;
  height: 100vh;
  overflow: hidden;
  color: var(--clr-wh);
}

.hero-bg {
  position: absolute;
  inset: -10% 0;
  z-index: 0;
  background: center/cover no-repeat;
  transform: translateY(-5%);
  transition: transform 0.2s linear;
}

.hero-overlay {
  position: absolute;
  inset: 0;
  z-index: 1;
  background: rgba(0, 0, 0, .35);
}

.hero-content {
  position: absolute;
  left: 50%;
  transform: translateX(-50%);
  bottom: 150px;
  z-index: 2;
  max-width: 1100px;
  width: 90%;
  display: flex;
  flex-direction: column;
  gap: 50px;
}

.hero1 .hero-bg {background-image: url("img/IMG_52501.webp");}
.hero2 .hero-bg {background-image: url("img/26574851.webp");}


.hero-title {
  width: fit-content;
  font-size: clamp(32px, 4vw, 48px);
  padding: 10px 20px;
  background: rgba(0, 0, 0, 0.6);
}


.hero-text {
  padding: 10px 20px;
  line-height: 2;
  background: rgba(0, 0, 0, 0.6);
}
/* アクセス */
#access{
background-color: var(--clr-wh);
padding: 150px 0;
}
.access-container {
  width: 90%;
  max-width: 1200px;
  margin: 100px auto;
}

.access-map {
  width: 100%;
  height: 700px;
  margin-bottom: 60px;
}

.access-map iframe {
  width: 100%;
  height: 100%;
  border: 0;
}

.access-bottom {
  display: flex;
  justify-content: space-between;
  align-items: flex-start;
  gap: 60px;
}

.access-info {
  flex: 1;
}

.access-title {
  width: 84px;
  font-size: 32px;
  margin-bottom: 16px;
  color: var(--clr-wh);
  background-color: var(--clr-blue);
  padding: 0;
  text-align: center;
}

.access-text {
  padding-bottom: 18px;
}

.access-photo {
  flex: 0 0 360px;
  box-shadow: 0px 8px 8px -6px rgba(0, 0, 0, 0.5);
}

.access-photo img {
  width: 100%;
  height: auto;
  display: block;
border-radius: 10px;
}



/* footer */
.footer {
  position: relative;
    z-index: 5;
    background: var(--clr-wh);
}
.footer_wrapper {
  width: 100vw;
  border-top: 1px solid var(--clr-green);
}
.footer_list {
  text-align: center;
  width: 100%;
}
.footer_list ul {
  display: inline-flex;
  align-items: center;
  justify-content: center;
  height: 40px;
}

.footer_list li {
  position: relative;
  padding: 0 18px;
  font-size: 15px;
}

.copy{
  font-size: 12px;
  text-align: center;
}

/* animation */
@keyframes rotateAnimation {
  from {
    transform: rotate(0deg);
  }

  to {
    transform: rotate(360deg);
  }
}
.rotate-box {
  animation: rotateAnimation 5s linear infinite;
}


.blur-scale-in {
  animation: blur-scale-in 0.5s cubic-bezier(.22, .61, .36, 1) both;
  animation-delay: 2.0s;
}

@keyframes blur-scale-in {
  0% {
    opacity: 0;
    transform: translate(-50%, -50%) scale(0.92);
    filter: blur(12px);
  }

  60% {
    opacity: 1;
    filter: blur(4px);
  }

  100% {
    opacity: 1;
    transform: translate(-50%, -50%) scale(1);
    filter: blur(0);
  }
}

.fade-sumi{
  opacity: 0;
}

.fade-sumi.is-visible{
  opacity: 1;
  animation: blur-scale-sumi 1.2s cubic-bezier(.22,.61,.36,1) both;
  will-change: transform, opacity, filter;
}

@keyframes blur-scale-sumi{
  0%{ opacity:0; transform: scale(.9); filter: blur(18px) contrast(80%); }
  100%{ opacity:1; transform: scale(1); filter: blur(0) contrast(100%); }
}

.js-slide {
  opacity: 0;
  transform: translateX(60px);
  transition:
    opacity .8s ease,
    transform 0.8s cubic-bezier(.22, .61, .36, 1),
    filter .8s ease;
  will-change: transform, opacity;
  transition-delay: .4s;
  
}

.js-slide.is-visible {
  opacity: 1;
  transform: translateX(0);
  filter: blur(0);
 
}
.shadow-drop-lr {
  animation: shadow-drop-lr .4s cubic-bezier(.25, .46, .45, .94) both
}
@keyframes shadow-drop-lr {
  0% {
    box-shadow: 0 0 0 0 transparent, 0 0 0 0 transparent
  }

  100% {
    box-shadow: -12px 0 20px -12px rgba(0, 0, 0, .35), 12px 0 20px -12px rgba(0, 0, 0, .35)
  }
}



/* --- PC用スタイル --- */
@media(min-width:768px){  
.footer_wrapper {
  border-top: 1px solid var(--clr-lightwh);
}
.footer_list li:first-child::before {
    content: "";
    display: inline-block;
    height: 15px;
    width: 1px;
    background: var(--clr-lightwh);
    position: absolute;
    left: 0;
    top: 50%;
    transform: translateY(-50%);
    }
  .footer_list li::after {
      content: "";
      display: inline-block;
      height: 15px;
      width: 1px;
      background: var(--clr-lightwh);
      position: absolute;
      right: 0;
      top: 50%;
      transform: translateY(-50%);
    }
    .no-pc {
      display: none;
    }
  }


/* --- タブレット用スタイル --- */
@media(max-width:1024px) {
#top {
    width: 100vw;
    height: 100%;
    background: url(img/topimages.webp) center/cover no-repeat;
}
.logo img {
  width: 100px;
}
.table-row {
  flex-direction: column;
  gap: 4vw;
}
}
/* --- モバイル用スタイル --- */
@media (max-width: 767px) {
body{
  font-size: 18px;
}
.no-sp{
  display: none;
}
/* --- ヘッダー --- */
.header {
  height: 80px;
}
.header h1 {
  font-size: 6vw;
}
.hamburger {
  right: 16px;
  width: 40px;
  height: 40px;
  border: 5px solid var(--clr-blue);
}
.hamburger-line {
  width: 24px;
  height: 3px;
 }
.nav-drawer {
  width: 300px;
  max-width: 70vw;
  }
.hero h2 {
  font-size:30px;
  width: 100%;
  min-width: 380px;
}
 .hero h2 span {
   display: block;
 }
.hero img {
  object-position: 50% 50%;
}
.logo {
  width: max(300px, 80%);
}
.logo img {
  top:35px;
  left: 10%;
  height: auto;
  width: 60px;
}
#about {
  padding: 0;
}
.motto {
  padding: 300px 0 400px 0;
}
.motto img{
width: 95vw;
}
#work {
  padding: 0;
}
.title h2{
  width:90vw ;
  font-size:20px ;
  margin: 0 auto;
}
.article-list{
  width: 90%;
}
.article-item {
  flex-direction: column;
  gap: 20px;
}
.article-img {
  width: 100%;
  margin: 0 auto;
}
.article-link-btn {
  right: 0px;
  bottom: -30px;
  width: 40px;
  height: 40px;
  border-radius: 50%;
}
.about-image {
  width: 70%;
  max-width: 300px;
}

.about-image img {
  width: 100%;
  height: auto;
  object-fit: cover;
}
.about-president {
  font-size: 18px;
  text-align: center;
}

.table {
   width: 90%;
   padding: 100px 0;
 }
 .table tr{
  display: grid;
 }
.table tr::before {
   left: 5%;
   right: 1%;
   height: 3px;
   background: var(--clr-blue);
}

 .table th {
   font-size: 18px;
   padding: 0;
 }
 .table td {
   padding-left: 10px;
   font-size: 18px;
 }
 .table td span{
  display: block;
 }
 .th-label {
   font-size: 18px;
   width: 150px;
   letter-spacing:0.02em ;
 }
.hero-content {
  bottom: 0px;
  max-width: none;
  width: 90%;
  gap: 30px;
}
.hero-title {
  width: fit-content;
  font-size: clamp(32px, 4vw, 48px);
  padding: 0px 20px;
  background: rgba(0, 0, 0, 0.6);
}
.hero-text {
  padding: 0px 20px;
  line-height: 2;
  background: rgba(0, 0, 0, 0.6);
  font-size: 20px;
  margin-bottom: 50px;
}
/* アクセス */
#access {
  padding: 0;
}
.access-map {
  height: 360px;
}  
.access-title {
  width: 70px;
  font-size: 32px;
 }
  .access-bottom {
    flex-direction: column;
    gap: 30px;
}
  .access-photo {
    width: 100%;
    flex: 0 0 auto;
}
/* --- フッター --- */

.footer_wrapper {
  width: 100%;
  border-top: 0;
}
.footer_list {
  text-align: left;
}
.footer_list ul {
  display: grid;
  justify-content: left;
  width: 90%;
  height:200px;
}
.footer_list li:first-child::before {
  content: "";
  position: absolute;
  left: 1rem;
  top: -0.5rem;
  width: 90vw;
  height: 1px;
  background: var(--clr-lightwh);
}
.footer_list li::after {
  content: "";
  display: inline-block;
  background: var(--clr-lightwh);
  position: absolute;
  height: 1px;
  width: 90vw;
  left: 1rem;
  bottom:0;
  transform:translateY(0.5rem);
    }
.copy {
  padding: 5px 0 20px 0;
  font-size: 12px;
  text-align: center;
}
/* --- アニメーション --- */
@keyframes fadeNav {
  from {
    opacity: 0;
  }

  to {
    opacity: 1;
  }
}
}